//
//  RecordManager.h
//  DigitalHumanSimpleLib
//
//  Created by sunwen05 on 2020/12/14.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol DHRecordManagerDelegate;

@interface DHRecordManager : NSObject

@property (nonatomic, weak)id<DHRecordManagerDelegate> __nullable delegate;

+ (instancetype)sharedInstance;
- (void)startRecorder;
- (void)stopRecorder;
- (void)destroy;

@end

#pragma mark -- DHRecordManagerDelegate
@protocol DHRecordManagerDelegate <NSObject>

- (void)onRecordCallback:(NSData *)data;

@end

NS_ASSUME_NONNULL_END
